#
# spec file
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
# needssslcertforbuild

Name:           pf-bb-config
VCS: https://src.suse.de/SLFO-pool/pf-bb-config#bdb378d05db2604b667d73b9fd4da94bc1bc327a201a9831e92a2c84efdef030
Version:        24.03
Release:        160000.1.8
Summary:        PF-bb-config for acc100 card
License:        BSD-3-Clause AND GPL-2.0-only AND LGPL-2.1-only
Group:          System/Libraries
URL:            https://github.com/intel/pf-bb-config
Source:         pf-bb-config-24.03.zip
BuildRequires:  unzip
BuildRequires:  libatomic1
BuildRequires:  gcc
BuildRequires:  make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         permissions
%description
pf-bb-config from Intel to setup the ACC100/ACC200/AGX100 accelerator cards

%package pf-bb-config
Summary:        pf-bb-config software to deploy ACC100/ACC200/AGX100 accelerator cards
Group:          Development/Libraries/C and C++

%description pf-bb-config
pf-bb-config from Intel to setup the ACC100/ACC200/AGX100 accelerator cards

%prep
%setup -q -n %{name}-%{version}

%build
make %{?jobs:-j%jobs}

%install
mkdir -p %{buildroot}%{_bindir}
cp pf_bb_config %{buildroot}%{_bindir}
mkdir -p %{buildroot}/opt/pf-bb-config
cp -rf acc100/*.cfg acc200/*.cfg agx100/*.cfg %{buildroot}/opt/pf-bb-config

%set_permissions %{_bindir}/pf_bb_config

%files
%defattr(-,root,root,-)
/opt/pf-bb-config/
/opt/pf-bb-config/*.cfg
%{_bindir}/pf_bb_config

%changelog
* Wed Jul 31 2024 Duraisankar.pitchumani@suse.com
- Update to version 24.03 (PED-8595)
  Some of the features nad fixes are
  * Update support for Intel vRAN Boost v2 on GNR-D (Early Access Alpha)
    including VRB2 fixes.
  * Refactor of the FFT window loading and documentation improvement of
    provided LUTs format.
  * ACC100: Add an error report in case of exception after partial soft
    reboot and reconfiguration.
  * Fix: Engines counters were not consistently exposed as part of
    Telemetry.
  * Fix: Support for N3000 LTE using vfio-pci.
* Wed Jul 31 2024 Duraisankar.pitchumani@suse.com
- Initial version 23.03 (PED-8595)
